<?php

/*
 * This file is part of the Sonata package.
 *
 * (c) Thomas Rabaix <thomas.rabaix@sonata-project.org>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 */

namespace ByDedi\AdminBundle\Form\Type;

use ByDedi\AdminBundle\Form\Transformer\RestoreRolesTransformer;
use ByDedi\AdminBundle\Security\EditableRolesBuilder;
use Symfony\Component\Form\AbstractType;

use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;

use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\Options;

class RawHtmlType extends AbstractType
{
    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults(array(
            'value' => '',
            'label' => false
        ));
    }

    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $view->vars['value'] = $options['value'];
        $view->vars['label'] = false;
    }

    public function getBlockPrefix()
    {
        return 'raw_html_type';
    }
}
